:userdoc.
:title.Windows
:docprof toc=123.
.***************File Created with BookMaker ********************
.*****    Windows
.*****    23 Sep 1994
.*****    15:40:29
.***************************************************************
.************************************************************
:h1 res=1.
Introduction
.************************************************************
:p.
:color fc=darkblue bc=default.
:font facename=Helv size=36x20.Window Manipulation - :hp1.Introduction:ehp1.
:font facename=default size=0x0.
:color fc=default bc=default.
:p.
This file will show you some of methods which you can use to
enhance your online documents with the various windowing options
available in BookMaker.
:lines align=left.
The following are some of the different looks you can create with BookMaker.
:link reftype=hd res=2.Sizing:elink.
:link reftype=hd res=5.Autolinking:elink.
:link reftype=hd res=7.Split Windows:elink.
:link reftype=hd res=10.Frames:elink.
:elines.
.************************************************************
:h1 res=2
  x=right y=bottom
    width=50% height=50%
    group=2
hide .
Sizing
.************************************************************
:p.
This window was created by selecting the sizing attributes which
placed the window in the right quarter of the screen.  Notice that the group
number must be changed or the window which opens this secondary
window would be closed automatically.
:p.
If you were to close the window which opened this first window, this
window would remain open.  In order to prevent this, we set the clear
attribute for the next heading.
.************************************************************
:h1 res=5 clear 
  x=left y=bottom
    width=30% height=100%
    group=1.
Autolinking
.************************************************************
:p.
In this example, a secondary window was opened automatically
using the autolink feature.  Again, because both windows need to be
opened at the same time, they must have different group numbers.
.**** auto tag **********
:link reftype=hd res=6 auto  dependent 
    vpx=30% vpy=bottom vpcx=70% vpcy=100%
    group=2.
.************************

.************************************************************
:h1 res=6
hide .
Secondary Window
.************************************************************
:p.
Notice that in this window the only special attribute added is the hide
attribute.  All of the special formatting instructions are included with
the autolink tag.  A second window opened with a regular link requires it's own
formatting instructions.
.************************************************************
:h1 res=7 clear .
Split Windows
.************************************************************
.**** auto tag **********
:link reftype=hd res=8 auto split  
    vpx=0% vpy=bottom vpcx=50% vpcy=100%
    group=2.
.************************
.**** auto tag **********
:link reftype=hd res=9 auto split  
    vpx=50% vpy=bottom vpcx=50% vpcy=100%
    group=3.
.************************


.************************************************************
:h1 res=8
hide .
Left Window
.************************************************************
:p.
Notice that these windows fall within the main window.  In the case of split windows,
the window which contains the split windows must remain free of any text or graphics.

.************************************************************
:h1 res=9
hide .
Right Window
.************************************************************
:p.
This is the right window.
.************************************************************
:h1 res=10.
Frames
.************************************************************
.**** auto tag **********
:link reftype=hd res=11 auto  split 
    vpx=0% vpy=bottom vpcx=50% vpcy=100%
    group=1.
.************************
.**** auto tag **********
:link reftype=hd res=13 auto  split 
    vpx=50% vpy=bottom vpcx=50% vpcy=100%
    titlebar=none scroll=none rules=border
    group=2.
.************************


.************************************************************
:h1 res=11 
hide.
Demo
.************************************************************
:p.
In this window, two split windows are linked.  The window to the right uses special
formatting instructions to eliminate the titlebar, system menu and the
sizable border.

.************************************************************
:h1 res=13 
hide.
Graphic
.************************************************************
:artwork align=left name='F:\GRAFIX\TREES.BMP' fit.
.************************************************************
:h1 res=14.
How to learn more
.************************************************************
:p.
The best way to learn more about creating windows is probably to
just try some on the features of BookMaker out for yourself.  It's fairly
easy to get your windows to do what you wish, but when you're starting out it takes some
practice.  Hit preview often to see if your windows are opening and closing the way you
want them to.
:p.
As I've harped on this before let me add once again.  Try to read through
the IPFC20.INF file included with your IPF compiler.  It contains information
that you should be familiar with when building IPF files. 








:euserdoc.

